#!/bin/sh

SYNOIPBLOCK_TOOL="/var/packages/SafeAccess/target/bin/synoipblock"

case $1 in
	--sdk-mod-ver)
	#Print SDK support version
	echo "1.0";
	;;
	--name)
	#Print package name
	echo "SynorouterClient"
	;;
	--pkg-ver)
	#Print package version
	echo "1.0";
	;;
	--vendor)
	#Print package vendor
	echo "Synology";
	;;
	--pre)
		if [ "syno-ip-blocklist" = "${DATABASE}" ]; then
			${SYNOIPBLOCK_TOOL} --general --stop
		fi
	;;
	--post)
		if [ "syno-ip-blocklist" = "${DATABASE}" ]; then
			${SYNOIPBLOCK_TOOL} --general --start
		fi
	;;
	*)
	echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac

